<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.kerberos-security-factory">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="debug,fail-cache,mechanism-names,mechanism-oids,minimum-remaining-lifetime,obtain-kerberos-ticket,options,principal,request-lifetime,required,server,wrap-gss-credential,path,relative-to"/>
        <elem name="addr-params" value="profile,host,subsystem,kerberos-security-factory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.security-factory.credential.$kerberos-security-factory"/>
    </provides>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="server" nillable="true"/>
        <param name="debug" nillable="true"/>
        <param name="kerberos-security-factory" feature-id="true"/>
        <param name="wrap-gss-credential" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="fail-cache" nillable="true"/>
        <param name="mechanism-names" nillable="true" type="List&lt;String&gt;"/>
        <param name="obtain-kerberos-ticket" nillable="true"/>
        <param name="required" nillable="true"/>
        <param name="mechanism-oids" nillable="true" type="List&lt;String&gt;"/>
        <param name="principal"/>
        <param name="path"/>
        <param name="relative-to" nillable="true"/>
        <param name="request-lifetime" nillable="true"/>
        <param name="options" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="minimum-remaining-lifetime" nillable="true"/>
    </params>
</feature-spec>